Bug 866352 - RFE: Upgrade to codemirror 3
RFE: Upgrade to codemirror 3
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 02:59 EDT by Ding-Yi Chen
Modified: 2013-11-26 22:22 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.1.2-SNAPSHOT (20131022-1019)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 861270
Environment:
Last Closed: 2013-11-26 22:22:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-10-15 02:59:31 EDT
+++ This bug was initially created as a clone of Bug #861270 +++

Description of problem:
When editing a very long word (such as URL) which is wider than the cell editor, press right-arrow key does not necessary move the cursor to next character.

This happens in both Firefox and Chrome

Version-Release number of selected component (if applicable):
Zanata version 1.8.0-SNAPSHOT (20120928-0032)

How reproducible:
Always

Steps to Reproduce:
1. Visit any document in any project version.
2. Put a wider-than-cell-editor word in the cell editor,
   such as "123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
3. Move the cursor to the beginning of the string.
4. Press the right arrow key.
  
Actual results:
Cursor moved to next line or some random place

Expected results:
Cursor move to next character.

Additional info:

--- Additional comment from pahuang@redhat.com on 2012-10-03 15:20:07 EST ---

committed into master:
https://github.com/zanata/zanata/commit/cd54e78aaaac17a99edaecd5b0dc3db916a9b038

--- Additional comment from dchen@redhat.com on 2012-10-11 12:58:07 EST ---

Tested with Zanata version 1.8.0-SNAPSHOT (20121011-0029) on Firefox ESR 10.0.6
and Google Chrome 15.0.874.121

After paste the string: 123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890

The sympton describe in the bug description is gone. 
However, now the text area does not follow the cursor when it is out of range.
i.e. Suppose the screen wide is 80 character, and the text area still shows column 1~80 when the cursor is at column 90. Which make the editing actions invisible to user.

Reassigned.

--- Additional comment from pahuang@redhat.com on 2012-10-12 11:24:19 EST ---

(In reply to comment #2)
> Tested with Zanata version 1.8.0-SNAPSHOT (20121011-0029) on Firefox ESR
> 10.0.6
> and Google Chrome 15.0.874.121
> 
> After paste the string:
> 12345678901234567890123456789012345678901234567890123456789012345678901234567
> 8901234567890
> 
> The sympton describe in the bug description is gone. 
> However, now the text area does not follow the cursor when it is out of
> range.
> i.e. Suppose the screen wide is 80 character, and the text area still shows
> column 1~80 when the cursor is at column 90. Which make the editing actions
> invisible to user.
> 
> Reassigned.

The scroll to cursor happens a bit late(about typing three characters will trigger a scroll to cursor). You will have to manually use the scrollbar. 
Before we upgrade to codemirror 3(at the moment still in BETA version and is not backward compatible), we have to use a scrollbar when a line is not breakable by words.

Please raise another bug(upgrade to codemirror version 3) for this to be properly resolved.
Comment 1 Ding-Yi Chen 2012-10-15 03:13:17 EDT
Test cases for this bug:

Steps to Reproduce:
1. Visit any document in any project version.
2. Put a wider-than-cell-editor word in the cell editor,
   such as "123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
3. Move the cursor to the beginning of the string.
4. Press the right arrow key many times and continue until cursor is reach the right border.
5. Press the right arrow key.

Actual:
Cursor is out of the text area and cannot be seen.

Expected:
The viewport of text area follow the cursor such that cursor can be seen.
Comment 2 Sean Flanigan 2012-11-07 00:56:48 EST
Note: I don't think CodeMirror 3 has been released yet.
Comment 3 Sean Flanigan 2013-10-21 21:55:12 EDT
This bug needs some housekeeping.
Comment 5 Ding-Yi Chen 2013-10-21 23:35:46 EDT
VERIFIED with Zanata version 3.1.2-SNAPSHOT (20131022-1019)
Comment 6 Sean Flanigan 2013-11-26 22:22:44 EST
Closing bugs which were VERIFIED with snapshots <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.